Bug 144334 - New Port: print/utopia
Summary: New Port: print/utopia
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-26 23:20 UTC by jimmy
Modified: 2010-03-10 21:22 UTC (History)
0 users

See Also:


Attachments
utopia.sh (2.46 KB, text/plain)
2010-02-26 23:20 UTC, jimmy
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2010-02-26 23:20:03 UTC
	A port of the Adobe Utopia typeface for use with Groff.
Comment 1 Edwin Groothuis freebsd_committer 2010-02-26 23:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

tabthorpe@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 jimmy 2010-03-03 21:05:39 UTC
Here is a new shar.  It will pick up the new distfile on my site:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#  utopia
#  utopia/Makefile
#  utopia/distinfo
#  utopia/pkg-plist
#  utopia/pkg-descr
#
echo c - utopia
mkdir -p utopia > /dev/null 2>&1
echo x - utopia/Makefile
sed 's/^X//' >utopia/Makefile << 'f76c6986e01cc33981a7ca51c4f1e9cd'
X# New ports collection makefile for:  utopia
X# Date created:                       Fri, 26 Feb 2010 16:40:00 EST
X# Whom:                               James Bailie <jimmy@mammothcheese.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=  utopia
XPORTVERSION=  1.0
XCATEGORIES=   print
XMASTER_SITES= http://www.mammothcheese.ca/
X
XMAINTAINER=   jimmy@mammothcheese.ca
XCOMMENT=   Adobe Utopia typeface for Groff
X
XDATADIR= ${PREFIX}/share/utopia
X
XMAN7=           utopia_font.7
X
XMANCOMPRESSED=   yes
X
X.include <bsd.port.mk>
f76c6986e01cc33981a7ca51c4f1e9cd
echo x - utopia/distinfo
sed 's/^X//' >utopia/distinfo << 'a3533d01b5875093a8ee4627175daa52'
XMD5 (utopia-1.0.tar.gz) = 8aa1f6348bedd5a6b18226b7459dbaae
XSHA256 (utopia-1.0.tar.gz) = 
7b85e5902052c1f4398c2511fecc51daf308a5e3fe83accbbfc84f9cd37b2e4f
XSIZE (utopia-1.0.tar.gz) = 227481
a3533d01b5875093a8ee4627175daa52
echo x - utopia/pkg-plist
sed 's/^X//' >utopia/pkg-plist << '62b7c3fa88fcb3a3d2b99130079bee72'
X%%DATADIR%%/devps/DESC
X%%DATADIR%%/devps/UB
X%%DATADIR%%/devps/UBI
X%%DATADIR%%/devps/UI
X%%DATADIR%%/devps/UR
X%%DATADIR%%/devps/putr.afm
X%%DATADIR%%/devps/putr.pfa
X%%DATADIR%%/devps/putri.afm
X%%DATADIR%%/devps/putri.pfa
X%%DATADIR%%/devps/putb.afm
X%%DATADIR%%/devps/putb.pfa
X%%DATADIR%%/devps/putbi.afm
X%%DATADIR%%/devps/putbi.pfa
X%%DATADIR%%/devps/LICENSE
X%%DATADIR%%/devps/text.enc
X%%DATADIR%%/devps/textmap
X%%DATADIR%%/devps/download.old
X@unexec /usr/bin/sed -I backup -e "/Utopia Begin/,/Utopia End/d" 
/usr/share/groff_font/devps/d
X@dirrm %%DATADIR%%/devps
X@dirrm %%DATADIR%%
62b7c3fa88fcb3a3d2b99130079bee72
echo x - utopia/pkg-descr
sed 's/^X//' >utopia/pkg-descr << '601cd7367d81a6835647346a69cae91f'
XThis port provides the PostScript Type 1 version of Adobe Utopia for use
Xwith GNU Troff, as it is configured in a FreeBSD basic install.
X
XFor details on usage, invoke:  man utopia_font.
X
XWWW: http://www.mammothcheese.ca/munger.html
X
X--
XJames Bailie <jimmy@mammothcheese.ca>
Xhttp://www.mammothcheese.ca
601cd7367d81a6835647346a69cae91f
exit
Comment 3 jimmy 2010-03-03 21:21:22 UTC
Found another problem.  New shar:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#  utopia
#  utopia/Makefile
#  utopia/distinfo
#  utopia/pkg-plist
#  utopia/pkg-descr
#
echo c - utopia
mkdir -p utopia > /dev/null 2>&1
echo x - utopia/Makefile
sed 's/^X//' >utopia/Makefile << 'f76c6986e01cc33981a7ca51c4f1e9cd'
X# New ports collection makefile for:  utopia
X# Date created:                       Fri, 26 Feb 2010 16:40:00 EST
X# Whom:                               James Bailie <jimmy@mammothcheese.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=  utopia
XPORTVERSION=  1.0
XCATEGORIES=   print
XMASTER_SITES= http://www.mammothcheese.ca/
X
XMAINTAINER=   jimmy@mammothcheese.ca
XCOMMENT=   Adobe Utopia typeface for Groff
X
XDATADIR= ${PREFIX}/share/utopia
X
XMAN7=           utopia_font.7
X
XMANCOMPRESSED=   yes
X
X.include <bsd.port.mk>
f76c6986e01cc33981a7ca51c4f1e9cd
echo x - utopia/distinfo
sed 's/^X//' >utopia/distinfo << 'a3533d01b5875093a8ee4627175daa52'
XMD5 (utopia-1.0.tar.gz) = a775be8707222503bd514662c3d4d35c
XSHA256 (utopia-1.0.tar.gz) = 
f6d7db956c0463c66a15e2201fdc31ff5c1924343f943ff2fce9653fd50a9c3d
XSIZE (utopia-1.0.tar.gz) = 227476
a3533d01b5875093a8ee4627175daa52
echo x - utopia/pkg-plist
sed 's/^X//' >utopia/pkg-plist << '62b7c3fa88fcb3a3d2b99130079bee72'
X%%DATADIR%%/devps/DESC
X%%DATADIR%%/devps/UB
X%%DATADIR%%/devps/UBI
X%%DATADIR%%/devps/UI
X%%DATADIR%%/devps/UR
X%%DATADIR%%/devps/putr.afm
X%%DATADIR%%/devps/putr.pfa
X%%DATADIR%%/devps/putri.afm
X%%DATADIR%%/devps/putri.pfa
X%%DATADIR%%/devps/putb.afm
X%%DATADIR%%/devps/putb.pfa
X%%DATADIR%%/devps/putbi.afm
X%%DATADIR%%/devps/putbi.pfa
X%%DATADIR%%/devps/LICENSE
X%%DATADIR%%/devps/text.enc
X%%DATADIR%%/devps/textmap
X%%DATADIR%%/devps/download.old
X@unexec /usr/bin/sed -I '' -e "/Utopia Begin/,/Utopia End/d" 
/usr/share/groff_font/devps/downloa
X@dirrm %%DATADIR%%/devps
X@dirrm %%DATADIR%%
62b7c3fa88fcb3a3d2b99130079bee72
echo x - utopia/pkg-descr
sed 's/^X//' >utopia/pkg-descr << '601cd7367d81a6835647346a69cae91f'
XThis port provides the PostScript Type 1 version of Adobe Utopia for use
Xwith GNU Troff, as it is configured in a FreeBSD basic install.
X
XFor details on usage, invoke:  man utopia_font.
X
XWWW: http://www.mammothcheese.ca/munger.html
X
X--
XJames Bailie <jimmy@mammothcheese.ca>
Xhttp://www.mammothcheese.ca
601cd7367d81a6835647346a69cae91f
exit
Comment 4 dfilter service freebsd_committer 2010-03-10 21:18:58 UTC
tabthorpe    2010-03-10 21:18:44 UTC

  FreeBSD ports repository

  Modified files:
    print                Makefile 
  Added files:
    print/utopia         Makefile distinfo pkg-descr pkg-plist 
  Log:
  This port provides the PostScript Type 1 version of Adobe Utopia for use
  with GNU Troff, as it is configured in a FreeBSD basic install.
  
  For details on usage, invoke:  man utopia_font.
  
  WWW: http://www.mammothcheese.ca/munger.html
  
  --
  James Bailie <jimmy@mammothcheese.ca>
  http://www.mammothcheese.ca
  
  PR:             ports/144334
  Submitted by:   James Bailie <jimmy at mammothcheese.ca>
  
  Revision  Changes    Path
  1.485     +1 -0      ports/print/Makefile
  1.1       +22 -0     ports/print/utopia/Makefile (new)
  1.1       +3 -0      ports/print/utopia/distinfo (new)
  1.1       +10 -0     ports/print/utopia/pkg-descr (new)
  1.1       +20 -0     ports/print/utopia/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Thomas Abthorpe freebsd_committer 2010-03-10 21:22:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!